import 'package:flutter/widgets.dart';
import 'package:webview_flutter/webview_flutter.dart';

class MultiplatformWebview extends StatefulWidget {
  const MultiplatformWebview({
    @required this.src,
  });

  final String src;

  @override
  _MultiplatformWebviewState createState() => _MultiplatformWebviewState();
}

class _MultiplatformWebviewState extends State<MultiplatformWebview> {
  @override
  Widget build(BuildContext context) {
    return WebView(
      initialUrl: widget.src.contains("html")
          ? Uri.dataFromString(widget.src, mimeType: 'text/html').toString()
          : widget.src,
      javascriptMode: JavascriptMode.unrestricted,
    );
  }
}
